> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trading balance

> Retrieve spot trading account balances for all currencies via the WhiteBIT V4 API.

* [Query unexecuted orders](/api-reference/spot-trading/query-unexecuted-orders) — list open orders
* [Query executed orders](/api-reference/spot-trading/query-executed-orders) — view executed order history


## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/trade-account/balance
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/trade-account/balance:
    post:
      tags:
        - Spot Trading
      summary: Trading Balance
      description: >
        The endpoint retrieves the [trade
        balance](/glossary#balance-spotbalance-trade) by currency
        [ticker](/glossary#ticker) or all balances. When the `ticker` parameter
        is provided, the response contains a single currency entry. When
        omitted, the response contains all currencies with non-zero balances.
        Each entry includes the `available` balance (funds ready to trade) and
        the `freeze` balance (funds locked in open orders).


        <Warning>

        Rate limit: 12000 requests/10 sec.

        </Warning>


        <Accordion title="Errors">

        ```json

        {
          "code": 30,
          "message": "Validation failed",
          "errors": {
            "ticker": ["Ticker field should be a string."]
          }
        }

        ```


        ```json

        {
          "code": 30,
          "message": "Validation failed",
          "errors": {
            "ticker": ["Currency was not found."]
          }
        }

        ```


        ```json

        {
          "code": 1,
          "message": "Inner validation failed",
          "errors": {
            "amount": ["Invalid argument."]
          }
        }

        ```

        </Accordion>
      operationId: tradeAccountBalance
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                ticker:
                  type: string
                  description: 'Currency''s [ticker](/glossary#ticker). Example: BTC'
                  example: BTC
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: integer
                  example: 1594297865000
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    available:
                      type: string
                      description: Available balance of currency for trading
                    freeze:
                      type: string
                      description: Balance of currency that is currently in active orders
              example:
                BTC:
                  available: '0.123'
                  freeze: '0.01'
                USDT:
                  available: '1000.50'
                  freeze: '100.00'
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
          PayloadAuth: []
          SignatureAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````